
import java.io.File;

class FileDirMake
{
	//	폴더를 만드는 메소드
	public boolean Make(String fileName)
	{
		File f = new File(fileName);	//	파일 객체를 메모리에 올린다.
	
		//	해당 이름의 폴더가 존재하면 폴더 생성 불가
		if (f.isDirectory() && f.exists()) 
		{
			System.out.println(fileName + "이 이미 존재합니다.");
			return false;
		}
		return f.mkdir();	//	디렉토리를 만드는 함수
	}
	
	//	폴더를 삭제하는 메소드
	public boolean Delete(String fileName)
	{
		File f = new File(fileName);	//	파일 객체를 메모리에 올린다.
		
		//	해당 이름의 폴더가 존재하지 않으면 삭제 불가
		if (!f.exists()) 
		{
			System.out.println(fileName + "폴더가 존재하지 않습니다.");
			return false;
		}
		return f.delete();
	}
	
	//	폴더의 이름을 변경하는 메소드
	public boolean Rename(String fileName, String newName)
	{
		File f = new File(fileName);	//	파일 객체를 메모리에 올린다.
		
		//	해당 이름의 폴더가 존재하지 않으면 이름 변경 불가
		if (!f.exists()) 
		{
			System.out.println(fileName + "폴더가 존재하지 않습니다.");
			return false;
		}	
		return f.renameTo(new File(newName));
	}
}

public class FileDirMaking 
{
	public static void main(String[] args) 
	{
		FileDirMake fm = new FileDirMake();
		
		//	fm.Make("AAA");
	
		//	System.out.println(fm.Make("src\\AAA"));
		
		//	fm.Rename("AAA", "BBB");
		
		fm.Delete("BBB");
	}
}

